Bug 119852 - SELinux FAQ - difference between domain and type?
SELinux FAQ - difference between domain and type?
Product: Fedora Documentation
Classification: Fedora
Component: selinux-faq (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Wade
Tammy Fox
: 119787 (view as bug list)
Depends On:
Blocks: 118757
  Show dependency treegraph
Reported: 2004-04-02 12:04 EST by James Morris
Modified: 2007-04-18 13:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-02 19:51:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Morris 2004-04-02 12:04:22 EST
Description of change/FAQ addition.  If a change, include the original
text first, then the changed text:


Version-Release of FAQ (found on

 selinux-faq-1.0-2 (2004-03-30-T16:20-0800)
Comment 1 Karsten Wade 2004-04-02 18:23:58 EST
*** Bug 119787 has been marked as a duplicate of this bug. ***
Comment 2 Karsten Wade 2004-04-02 18:33:35 EST
Sources in this discussion so far:



We'll only be answering about the non-difference of a domain and a type.
Comment 3 Karsten Wade 2004-04-02 18:34:50 EST
Please review this answer, is it sufficient?  It is the second
question, following What is SELinux?

## begin

Q:. What is the difference between a domain and a type?

A:. There really is no difference between the two terms in SELinux,
they are used interchangeably. In a traditional TE model, domains and
types are separate. In SELinux, a domain/type will have the _t suffix. 

## end
Comment 4 James Morris 2004-04-02 18:53:39 EST
This is incorrect.

There is no difference bewteen a domain and a type, although domain is
sometimes used to refer to the type of a process.  The use of domain
in this way stems from traditional TE models, where domains and types
are separate.

Don't worry about the _t suffix stuff.
Comment 5 Karsten Wade 2004-04-02 19:51:44 EST
OkIC, they really aren't used interchangeably.  Rather, the preference
is for type, and there is a tradition of using domain to refer to the
type of a process.

Your language is clearer, I'll swipe it for the answer.  TY.

This will appear in the next release, 1.0-3.

Note You need to log in before you can comment on or make changes to this bug.